> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitawallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List API transactions

> This method allows you to list all the API transactions, supports paging and filters.



## OpenAPI

````yaml /openapi.yaml get /api/businesses/transactions
openapi: 3.0.0
info:
  title: Vita Business API
  description: >-
    Vita Wallet Business API — integra payins, payouts, exchange, transactions,
    users y webhooks para operar pagos en LatAm y el mundo.
  version: 1.0.0
  contact:
    name: Vita Wallet Support
    url: https://vitawallet.io
    email: empresas@vitawallet.io
servers:
  - url: https://api.vitawallet.io
    description: Production
  - url: https://api.stage.vitawallet.io
    description: Sandbox
security:
  - xLogin: []
    xTransKey: []
    xDate: []
    hmacSignature: []
tags:
  - name: Create Payin
  - name: Direct Payment
  - name: Exchange
  - name: Vita Sent
  - name: Bank Payouts
  - name: External Crypto Payouts
  - name: Transactions
  - name: Users Creation
  - name: User Information
  - name: Webhooks
externalDocs:
  url: https://vitawallet.io
  description: Vita Wallet
paths:
  /api/businesses/transactions:
    get:
      tags:
        - Transactions
      summary: List API transactions
      description: >-
        This method allows you to list all the API transactions, supports paging
        and filters.
      operationId: list-api-transactions
      parameters:
        - name: page
          in: query
          schema:
            type: integer
          description: Page number
          example: '1'
        - name: count
          in: query
          schema:
            type: integer
          description: Total transactions (20 by default)
          example: '10'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              example: |-
                {
                    "transactions": [
                        {
                            "id": "febf45e1-7faf-4332-1f0c2b76b4b0-90538",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "completed",
                                "currency": "usdc",
                                "currency_iso_code": "usdc",
                                "amount": "14.0",
                                "total": "15.0",
                                "fee_value": "1.0",
                                "total_fee": "1.0",
                                "created_at": "2026-09-30T17:48:58.365Z",
                                "recipient_email": "xxxxxxx@gmail.com",
                                "source": "business",
                                "currency_received": null,
                                "purpose_comentary": null,
                                "order": "payin:126bab9c-d85f-40a2-fde61784a17b",
                                "category": "vita_sent",
                                "recipient_wallet": null,
                                "sender_wallet": {
                                    "uuid": "6c53106f-e485-4b97-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "included": null,
                                "vita_transaction_id": "febf45e1-7faf-4332-1f0c2b76b4b0-90538",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/urTww346",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "completed",
                                        "created_at": "2026-09-30T20:00:34.994Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "pending",
                                        "created_at": "2026-09-30T17:49:11.058Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "checking",
                                        "created_at": "2026-09-30T17:48:58.380Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                        {
                            "id": "0856bd6a-95bb-4843-474b5f74a6e9-75101",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "completed",
                                "currency": "usd",
                                "currency_iso_code": "usd",
                                "amount": "25.2",
                                "total": "25.2",
                                "fee_value": "0.0",
                                "total_fee": null,
                                "created_at": "2026-09-30T13:31:41.605Z",
                                "recipient_email": "xxxxxxxx@vitawallet.io",
                                "source": "business",
                                "currency_received": "cop",
                                "purpose_comentary": "This is a test",
                                "order": "94f88a2f-d0e6-4bc6-7c8d7f9315d6",
                                "category": "recharge",
                                "recipient_wallet": {
                                    "uuid": "6c53106f-e485-4b97-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "sender_wallet": null,
                                "included": {
                                    "payment": {
                                        "amount_local_currency": "100000.0",
                                        "payment_method": "bancolombia",
                                        "spot_origin_usd": "0.000252",
                                        "fixed_cost": "0.0",
                                        "spread": "0.0",
                                        "spot_usd_destiny": "1.0",
                                        "accreditation_amount": "25.2",
                                        "accreditation_currency": "USD"
                                    }
                                },
                                "vita_transaction_id": "0856bd6a-95bb-4843-474b5f74a6e9-75101",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/LWOnC2wU",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "completed",
                                        "created_at": "2026-09-30T13:31:41.635Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "started",
                                        "created_at": "2026-09-30T13:31:41.620Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                        {
                            "id": "1d5fa1a7-cc53-4915-83ac979d534a-16893",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "denied",
                                "currency": "usd",
                                "currency_iso_code": "usd",
                                "amount": "187.48",
                                "total": "187.48",
                                "fee_value": "0.0",
                                "total_fee": "0.0",
                                "created_at": "2026-09-29T21:21:33.485Z",
                                "recipient_email": "financeiro@empresa-exemplo.com.br",
                                "source": "business",
                                "currency_received": "brl",
                                "purpose_comentary": "Pago de proveedor",
                                "order": "0003a74783659831",
                                "category": "withdrawal",
                                "recipient_wallet": null,
                                "sender_wallet": {
                                    "uuid": "6c53106f-e485-4b97-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "included": {
                                    "withdrawal": {
                                        "country_iso_code": "BR",
                                        "country_name": "Brasil",
                                        "country_flag": "https://api.stage.vitawallet.io/mailers/flags/BR.png",
                                        "currency": "brl",
                                        "total_without_fixed_cost": "1004.0",
                                        "total_sent": "1000.0",
                                        "fixed_cost": "4.0",
                                        "sell_price": "5.355018",
                                        "bank_account": {
                                            "first_name": "Joao",
                                            "last_name": "Silva",
                                            "company_name": null,
                                            "address": "Rua das Flores 789, Sao Paulo",
                                            "email": "financeiro@empresa-exemplo.com.br",
                                            "email_business": "xxxxxxs@vitawallet.io",
                                            "source": "business",
                                            "order": "0003a74783659831",
                                            "city": null,
                                            "state": null,
                                            "phone": null,
                                            "zipcode": null,
                                            "beneficiary_type": null
                                        },
                                        "reject_motive": null
                                    }
                                },
                                "vita_transaction_id": "1d5fa1a7-cc53-4915-83ac979d534a-16893",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/MB2LIdwA",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "denied",
                                        "created_at": "2026-09-29T21:25:02.467Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "denied",
                                        "created_at": "2026-09-29T21:25:02.391Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "processed",
                                        "created_at": "2026-09-29T21:22:00.682Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "pending",
                                        "created_at": "2026-09-29T21:21:47.349Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "checking",
                                        "created_at": "2026-09-29T21:21:33.515Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                        {
                            "id": "d872fdba-c6f3-4792-d04f6ce225d2-10058",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "denied",
                                "currency": "usd",
                                "currency_iso_code": "usd",
                                "amount": "187.21",
                                "total": "187.21",
                                "fee_value": "0.0",
                                "total_fee": "0.0",
                                "created_at": "2026-09-29T19:27:38.334Z",
                                "recipient_email": "financeiro@empresa-exemplo.com.br",
                                "source": "business",
                                "currency_received": "brl",
                                "purpose_comentary": "Pago de proveedor",
                                "order": "0003a7478365983",
                                "category": "withdrawal",
                                "recipient_wallet": null,
                                "sender_wallet": {
                                    "uuid": "6c53106f-e485-b3c1-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "included": {
                                    "withdrawal": {
                                        "country_iso_code": "BR",
                                        "country_name": "Brasil",
                                        "country_flag": "https://api.stage.vitawallet.io/mailers/flags/BR.png",
                                        "currency": "brl",
                                        "total_without_fixed_cost": "1004.0",
                                        "total_sent": "1000.0",
                                        "fixed_cost": "4.0",
                                        "sell_price": "5.362942",
                                        "bank_account": {
                                            "first_name": "Joao",
                                            "last_name": "Silva",
                                            "company_name": null,
                                            "address": "Rua das Flores 789, Sao Paulo",
                                            "email": "financeiro@empresa-exemplo.com.br",
                                            "email_business": "xxxxxxx@vitawallet.io",
                                            "source": "business",
                                            "order": "0003a7478365983",
                                            "city": null,
                                            "state": null,
                                            "phone": null,
                                            "zipcode": null,
                                            "beneficiary_type": null
                                        },
                                        "reject_motive": null
                                    }
                                },
                                "vita_transaction_id": "d872fdba-c6f3-4792-d04f6ce225d2-10058",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/koYmIPcG",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "denied",
                                        "created_at": "2026-09-29T19:35:13.164Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "denied",
                                        "created_at": "2026-09-29T19:35:13.091Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "processed",
                                        "created_at": "2026-09-29T19:32:57.586Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "pending",
                                        "created_at": "2026-09-29T19:27:51.321Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "checking",
                                        "created_at": "2026-09-29T19:27:38.373Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                        {
                            "id": "eb439e01-08d6-c97468143655-58870",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "pending",
                                "currency": "usd",
                                "currency_iso_code": "usd",
                                "amount": "809.29",
                                "total": "809.29",
                                "fee_value": "0.0",
                                "total_fee": "0.0",
                                "created_at": "2026-09-04T21:54:30.902Z",
                                "recipient_email": "xxxxxx@vitawallet.io",
                                "source": "business",
                                "currency_received": "usd",
                                "purpose_comentary": "Pago de proveedor",
                                "order": "0003a12121212",
                                "category": "withdrawal",
                                "recipient_wallet": null,
                                "sender_wallet": {
                                    "uuid": "6c53106f-e485-4b97-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "included": {
                                    "withdrawal": {
                                        "country_iso_code": "PEUSD",
                                        "country_name": "Perú (USD)",
                                        "country_flag": "https://api.stage.vitawallet.io/mailers/flags/PEUSD.png",
                                        "currency": "usd",
                                        "total_without_fixed_cost": "1001.5",
                                        "total_sent": "1000.0",
                                        "fixed_cost": "1.5",
                                        "sell_price": "1.2375",
                                        "bank_account": {
                                            "first_name": "Lucia",
                                            "last_name": "Quispe",
                                            "company_name": null,
                                            "address": null,
                                            "email": "xxxxxxxx@vitawallet.io",
                                            "email_business": "xxxxxxxxs@vitawallet.io",
                                            "source": "business",
                                            "order": "0003a12121212",
                                            "city": "Lima",
                                            "state": null,
                                            "phone": null,
                                            "zipcode": null,
                                            "beneficiary_type": "Individual"
                                        },
                                        "reject_motive": null
                                    }
                                },
                                "vita_transaction_id": "eb439e01-08d6-4165-c97468143655-58870",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/I3RH0+KZ",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "pending",
                                        "created_at": "2026-09-04T21:54:45.450Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "checking",
                                        "created_at": "2026-09-04T21:54:30.925Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                        {
                            "id": "a9114248-29ff-49a9-27ced050baff-53073",
                            "type": "business_transaction",
                            "attributes": {
                                "status": "pending",
                                "currency": "usd",
                                "currency_iso_code": "usd",
                                "amount": "804.82",
                                "total": "804.82",
                                "fee_value": "0.0",
                                "total_fee": "0.0",
                                "created_at": "2026-09-04T20:17:53.799Z",
                                "recipient_email": "xxxxxxx@vitawallet.io",
                                "source": "business",
                                "currency_received": "usd",
                                "purpose_comentary": "Pago de proveedor",
                                "order": "0003a5555555556",
                                "category": "withdrawal",
                                "recipient_wallet": null,
                                "sender_wallet": {
                                    "uuid": "6c53106f-e485-4b97-b3c1-4efa26aac469",
                                    "token": "master",
                                    "created_at": "2023-07-03T14:13:21.122Z",
                                    "balances": {
                                        "clp": 195343,
                                        "usdc": 85,
                                        "usdt": 1125.7,
                                        "usd": 650.98,
                                        "bob": 0,
                                        "btc": 0,
                                        "ars": 925960,
                                        "cop": 24814400,
                                        "brl": 893401.75
                                    },
                                    "is_master": true
                                },
                                "included": {
                                    "withdrawal": {
                                        "country_iso_code": "EC",
                                        "country_name": "Ecuador",
                                        "country_flag": "https://api.stage.vitawallet.io/mailers/flags/EC.png",
                                        "currency": "usd",
                                        "total_without_fixed_cost": "1001.0",
                                        "total_sent": "1000.0",
                                        "fixed_cost": "1.0",
                                        "sell_price": "1.24375",
                                        "bank_account": {
                                            "first_name": "Diego",
                                            "last_name": "Torres",
                                            "company_name": null,
                                            "address": "Av. Amazonas N35-17, Quito",
                                            "email": "xxxxxx@vitawallet.io",
                                            "email_business": "xxxxxxxx@vitawallet.io",
                                            "source": "business",
                                            "order": "0003a5555555556",
                                            "city": "Quito",
                                            "state": null,
                                            "phone": "0991234567",
                                            "zipcode": null,
                                            "beneficiary_type": null
                                        },
                                        "reject_motive": null
                                    }
                                },
                                "vita_transaction_id": "a9114248-29ff-49a9-27ced050baff-53073",
                                "tracking_url": "https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/bhfJ66p",
                                "funding_source": null,
                                "statuses": [
                                    {
                                        "status": "pending",
                                        "created_at": "2026-09-04T20:18:08.932Z",
                                        "transaction_operation_type": "updated"
                                    },
                                    {
                                        "status": "checking",
                                        "created_at": "2026-09-04T20:17:53.820Z",
                                        "transaction_operation_type": "created"
                                    }
                                ],
                                "provider_secondary_reference": null
                            }
                        },
                    ],
                    "total": 85,
                    "count": 10
                }
components:
  securitySchemes:
    xLogin:
      type: apiKey
      in: header
      name: x-login
      description: Business xLogin
    xTransKey:
      type: apiKey
      in: header
      name: x-trans-key
      description: Business xTransKey
    xDate:
      type: apiKey
      in: header
      name: x-date
      description: ISO8601 datetime
    hmacSignature:
      type: apiKey
      in: header
      name: Authorization
      description: 'V2-HMAC-SHA256 signature. Example: `V2-HMAC-SHA256, Signature: <hash>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.